=== packages/openinkpot/debian/changelog ===
cr3 (3.0.35-3) zelazny; urgency=low

  * Typo in bookmark xml markup

 -- Alexander V. Nikolaev <avn@daemon.hole.ru>  Tue, 02 Nov 2010 23:54:30 +0200

cr3 (3.0.35-2) zelazny; urgency=low

  [ Vadim Lopatin ]
  * fix font colors in 2bit mode
  * fix libpng support
  * background-color support for inline elements
  * CSS: add hanging attribute support to text-indent property
  * CSS: add text-align-last property support to css parser
  * CSS: implement text-align-last property support
  * fix style for FB2 <v> element
  * fix page numbers in Qt TOC
  * page skin implementation
  * page skin list implementation
  * CSS: allow space-separated : after style property name
  * allow any namespace for reference to image using href or src
    attributes
  * fix current page number +1 for cr3gui/about dialog
  * page skin settings, in progress...
  * Add cache file contents CRC validation
  * avoid writing unchanged data blocks to cache file
  * text selection rework, part 1
  * move unit tests to separate source file
  * DOM cache file storage bugs fixed
  * put extra debug checks under conditional compilation
  * fix Valgrind findings
  * disable cache file validation
  * performance optimizations: style and font hash calculation
  * use FNV-1 64bit hash
  * add support of old libpng
  * new formatter, part 1
  * new formatter, part 2
  * new formatter, part 3
  * fix qt build

 -- Alexander Kerner <lunohod@openinkpot.org>  Mon, 06 Sep 2010 21:58:28 +0200

cr3 (3.0.35-1) zelazny; urgency=low

  [ Vadim Lopatin ]
  * implement image titles, fix inline images
  * increment version
  * fix 2-bit gray buffer semi-transparent PNG support
  * add list-style-type and list-style-position CSS properties
  * implement CSS lists support
  * fix internal document styles
  * disable heap size logging by default

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 20 Jul 2010 19:46:01 +0200

cr3 (3.0.34-2) zelazny; urgency=low

  [ Vadim Lopatin ]
  * add history and custom-info to About/FileInfo

 -- Alexander Kerner <lunohod@openinkpot.org>  Fri, 16 Jul 2010 15:37:13 +0200

cr3 (3.0.34-1) zelazny; urgency=low

  [ Vadim Lopatin ]
  * change key mapping according to screen orientation -- N516
  * arrow keys remapping according to screen orientation, V3/Openinkpot
  * Jinke/Nano-X code cleanup
  * fix footnotes bugs
  * update version

 -- Alexander Kerner <lunohod@openinkpot.org>  Tue, 13 Jul 2010 17:53:35 +0200

cr3 (3.0.24-27) zelazny; urgency=low

  [ Vadim Lopatin ]
  * Fix invisible title bug
  * fix fb2 internal stylesheet usage
  * fix rendering of semitransparent images with low pixel depth modes

 -- Alexander Kerner <lunohod@openinkpot.org>  Sat, 10 Jul 2010 21:52:56 +0200

cr3 (3.0.24-26) zelazny; urgency=low

  [ Vadim Lopatin ]
  * remove cr3.png from OI installation
  * fix HTML encoded (like 'file%20name') links support
  * fix wxWidgets build
  * fix QT build - font and fullscreen settings
  * rework Search feature
  * add Search dialog to Qt version
  * implemented Search feature in Qt version
  * fix controls setting bug
  * fix OI external dictionary command name
  * move CR3 version to cr3version.h
  * fix install of cr3.png
  * fix win32/mingw/qt build
  * win32/qt/msvc fixes, fix warnings
  * EOL changes
  * Qt app fixes
  * qt/win32 fixes
  * win32 stream fixes

 -- Alexander Kerner <lunohod@openinkpot.org>  Wed, 30 Jun 2010 12:23:58 +0200

cr3 (3.0.24-25) zelazny; urgency=low

  [ Vadim Lopatin ]
  * AntiWord Support, part 1
  * antiword support, part 2
  * Show filename at page header
  * application event queue, part 1
  * use application message queue for XCB
  * retain fullScreen flag while removing duplicate Update events
  * fixes for application message queue
  * message queue fixes
  * fixes
  * fix event handling
  * update Ukrainian translation
  * update skin
  * history and settings saving optimization
  * V3 skin fixes, font setting fixes
  * save cache file changes on render instead of exit
  * use external dictionary edict for OpenInkpot
  * enable edict for OI builds
  * update README.TXT build commandline for OI

 -- Alexander Kerner <lunohod@openinkpot.org>  Mon, 21 Jun 2010 10:11:25 +0200

cr3 (3.0.24-24) zelazny; urgency=low

  [ Vadim Lopatin ]
  * mem buffer settings
  * big files, data size optimization, part 1
  * big files: rework mutable text node
  * remove parent index from text ldomNode
  * add storage for element style and font indexes
  * move style and font indexes to separate storage
  * node memory size optimization, part 2
  * memory sizes optimizations
  * adding configurable document cache options
  * LIBCHM fix for MIPS
  * RAM usage optimizations
  * fix warning
  * qt/win32/msvc build fixes
  * EPUB support improvements: hrefs, images
  * epub fixes
  * increase page margins
  * fix font cache memory leak
  * fix epub images
  * add cache file support for EPUB
  * fix N516 key mapping for 0-HELP
  * chm support
  * add chm.css
  * chm, epub, html support improvements
  * add CHM mime type
  * fix fb2.css image alignment

 -- Alexander Kerner <lunohod@openinkpot.org>  Fri, 04 Jun 2010 22:51:18 +0200

cr3 (3.0.24-23) zelazny; urgency=low

  [ Vadim Lopatin ]
  * fix TOC issue for documents opened from cache
  * fix text-indent CSS property bug
  * moving epub support to separate files, part 1
  * fixes
  * fix crash oon some documents opening
  * fix xcb_create_image_native call
  * big block write cache, part 1
  * block write cache, part 2
  * fix block writer
  * fix QT build
  * fix debug logging
  * README: list of required packages for Ubuntu
  * QT: add scrolling by left/right arrows
  * performance tuning
  * uncompressed mode, part 1
  * cache access rework
  * postpone cache flush until document close
  * performance tunung
  * fix win32/msys build
  * fix CHMLIB build for win32/msys
  * fix win32/qt/msys build
  * fix win32/linux builds
  * min mem settings

 -- Alexander Kerner <lunohod@openinkpot.org>  Thu, 20 May 2010 09:24:45 +0200

