=== packages/ubuntu/debian/changelog ===
cr3 (3.0.36-1) lucid; urgency=low

  * Initial release

 -- Vadim Lopatin <buggins@fromru.com>  Mon, 06 Sep 2010 11:04:49 +0400
